import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/1godfrey/e80e47dc0eae58a554237d697cdfd8cd/raw/da351c1029de37a7051e1c7699780b1242d66477/UN_Population_2019.csv';

export const useData = () => {
    const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.Population = +d['2020'];
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data.slice(0, 10));
    });
  }, []);
  
	return data;
}
